
# 01 **STATE OF THE ART**

## NAVIGATING THROUGH **THE WORLD OF CODING** 

This week is about learning how to build a documentation website with Gitlab using markup language Markdown. 

## **ALL ABOUT TEXT**

Two types of **fonts** are : **Serif** and **San Serif**

![fonts](../images/week01/font.jpg){ width=400 }

I prefer San Serif because it looks clean, minimal, and contemporary, whereas Serif looks serious and classic.

Testing out different fonts ↓

![fonts](../images/week01/fontchoices.jpg){ width=800  }

In the end I decided to use **Encode Sans Thin 100** because it's simple and modern :)

### **SOME NOTES**

 --- 

**Number Sign for Headings**

Add # in front of a word or a phrase to creating a heading. The numbers of # used correspond to the heading level.

For Example:

![heading examples](../images/week01/example.jpg){ width=400 }


 --- 

**Asterisk/Underscore for Bold**

Add ** or __ before and after a world or a phrase to bold text.

For Example:

**This** is fun!
This is **fun**!
**This is fun!**

 --- 

**Asterisk/Underscore for Italic**

Add * or _ before a world or a phrase to italicize text.

For Example:

*This* is not fun!
This is not *fun*!
*This is not fun!*

 --- 

**Asterisk/Underscore for Bold and Italic**

Add *** or ___ before a word or a phrase to bold and italicize text.

For Example:

***This is Fun!***

 --- 

**Helpful Website**: [Basic Syntax](https://www.markdownguide.org/basic-syntax/) 

## **ALL ABOUT IMAGE**

Uploading images in Markdown is really simple. We can upload images from various resources such as the Internet or PC. 

### **SOME NOTES**

 --- 

To upload images from the Internet: exclaimation mark[Link Name](Link URL)  

1. Open any image
2. Right click and select 'copy image address' option
3. Paste the image address instead of the Image URL in Markdown
4. The image will be inserted

 --- 

 To upload images from PC: exclaimation mark[Describe Image](../place/IMAGE.jpg)

It's important to specify the path of the images saved on our PC. Remember to minimize the sizes of the images and not to upload too many at the same time.






![](images/)

![describe what you see in this image](../images/home/sample-image.jpg){ width=400 align=right }

"Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum. Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum."

??? task "weekly assignment"

	Check out the weekly assignment [here](http://fabricademy.fabcloud.io/handbook/assessment/criteria/#1-project-management-and-documentation) or login to your [NuEval](http://nueval.fabacademy.org) progress and evaluation page.


??? tip "about your images..delete the tip!!"

	1. Remember to credit/reference all your images to their authors. Open source helps us create change faster together, but we all deserve recognition for what we make, design, think, develop.

	2. remember to resize and optimize all your images. You will run out of space and the more data, the more servers, the more cooling systems and energy wasted :) make a choice at every image :)

	This image is optimised in size with resolution 72 and passed through tinypng for final optimisation.
	_**Remove tips when you don't need them anymore!**_

??? bug "get inspired!!!"

	Check out and research alumni pages to betetr understand how to document and get inspired

	* [Diane Wakim](https://class.textile-academy.org/2021/diane.wakim/) Le TextileLab Lyon 2020-21_
	* [Petra Garaiová](https://class.textile-academy.org/2022/petra-garajova/) FabTextiles Barcelona 2021-22_
	* [Loes Bogers](https://class.textile-academy.org/2020/loes.bogers/) TextileLab Amsterdam 2019-20_
	* [Sara Alvarez](https://class.textile-academy.org/2021/sara_alvarez/) TextileLab Amsterdam 2020-21_
	* [Olatz Pereda](https://class.textile-academy.org/2022/olatz-pereda/) Basque Design Center 2021-22_



	_Add your fav alumni's pages as references_


## References & Inspiration

"Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum."

* Two images side-by-side

![describe what you see in this image](../images/home/sample-image.jpg){ width=300 align=left }
![describe what you see in this image](../images/home/sample-image.jpg){ width=300 align=right }


<p style="clear: both;"></p>
<br/>

* Image reference

<figure markdown>
  ![](../images/home/sample-image.jpg)
  <figcaption>centered image with credits/reference</figcaption>
</figure>

* Download reference

Links to reference files, PDF, booklets,


??? tip "about your images..delete the tip!!"

	1. Remember to credit/reference all your images to their authors. Open source helps us create change faster together, but we all deserve recognition for what we make, design, think, develop.

	2. remember to resize and optimize all your images. You will run out of space and the more data, the more servers, the more cooling systems and energy wasted :) make a choice at every image :)

	This image is optimised in size with resolution 72 and passed through tinypng for final optimisation.
	_**Remove tips when you don't need them anymore!**_

---

## Tools

!!! example ""

	- [Jekyll](http://jekyll.org)
	- [TinyPNG](https://tinypng.com/)
	- [Markdown](https://en.wikipedia.org/wiki/Markdown)
	- [Markdown](https://en.wikipedia.org/wiki/Markdown)
	- [MkDocs](https://xxx)
	- [Material theme](https://xxx)



## Documentation workflow

"Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum."


![describe what you see in this image](../images/home/sample-image.jpg)

### Step 1

"Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum."


### Step 2

"Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum."


### Step 3

...

---

## Videos

_learn how to add video tutorials, inspirational videos and movies etc_

### From Vimeo

<iframe src="https://player.vimeo.com/video/10048961" width="640" height="480" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
<p><a href="https://vimeo.com/10048961">Sound Waves</a> from <a href="https://vimeo.com/radarboy">George Gally (Radarboy)</a> on <a href="https://vimeo.com">Vimeo</a>.</p>

### From Youtube

<iframe width="560" height="315" src="https://www.youtube.com/embed/jjNgJFemlC4" frameborder="0" allow="autoplay; encrypted-media" allowfullscreen></iframe>




